extends "res://entities/GridBasedMovable.gd"


var destroyed = false
@onready var object_spawner = $ObjectSpawner




	

func _ready() -> void:
	super._ready()
	enable_movement = false
	
func _physics_process(delta: float) -> void:
	_handle_movement(delta)


func hit():
	if is_grid_aligned():
		object_spawner.trigger()
		call_deferred("queue_free")

	
func _on_Health_no_health() -> void:
	hit()





	
